Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Create a webhooks subscription on checkout_transaction event to receive notification when new transaction is created or updated (captured/refunded or voided)
POST https://api.dintero.com/v1/accounts/{ACCOUNT_ID}/hooks/subscriptions
Authorization: Bearer {access_token}
Content-Type: application/json

{
  "config": {
    "url": "https://example.com/checkout-transaction",
    "content_type": "application/json"
  },
  "events": [ "checkout_transaction" ]
}
See Webhooks for more information about creating webhook subscription

Checkout transaction event

Example of event a subscription can receive
{
  "account_id": "P12345678",
  "event": "checkout_transaction",
  "event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
  "transaction": {
    "id": "P12345678.465UfBENeLpkBvwmqfTC4k",
    "session_id": "P12345678.465U8CUzaPVpneu1wt8Wei",
    "merchant_reference": "ORDER-123",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "merchant_reference_2": "OTHER-ID-123",
    "status": "AUTHORIZED"
  }
}
See Checkout API to get more details about the transaction object included in the event